## wmf 1.0

=== src/Makefile ===
#
# Makefile for webmailfolder
# created 1996/08/16 by Norbert Kuemin
#

# Configuration begins here
BINDIR= /usr/local/bin
MANDIR= /usr/local/man/man1
CC=gcc
LDFLAGS=
COPTS=-O2
CLIBDIR=-L/usr/local/lib
CINC=-I/usr/local/include

#if you have/want face-support uncomment the two following lines
#FACELIB=-lcompface
#FACEDEF=-DFACES
# Configuration ends here

# Program initials
CONFIGFILE= \"~/.wmfrc\"
MBOXFILE= \"~/mbox\"
MAILCMD=\"mailto:\"
DIRECTORY=\"./\"
NEWSUBJECTTHREAD=0	#0=False 1=True

# Program constants
PROGRAM=wmf
VERSION=1.0
PRG_NAME= \"WebMailFolder\"
PRG_VERSION= \"$(VERSION)\"
PRG_HREF= \"http://www.lugs.ch/LUGS_Members/norbert.kuemin/wmf.html\"

PINIT= -DWMF_CONFIG=$(CONFIGFILE) -DWMF_MBOX=$(MBOXFILE) -DWMF_MCMD=$(MAILCMD)\
 -DWMF_DIR=$(DIRECTORY) -DWMF_DEBUGLEVEL=0

PCONST= -DNAME=$(PRG_NAME) -DVERSION=$(PRG_VERSION) -DHREF=$(PRG_HREF)

CDEFS= $(PINIT) $(PCONST) $(FACEDEF) -Wall
CLIB= $(FACELIB)
CFLAGS= $(COPTS) $(CDEFS) $(CINC)

# Only for debugging (Should be commented)
CDEFS= -DDEBUG $(PINIT) $(PCONST) $(FACEDEF) -Wall
#CDEFS= -DDEBUG -DMALLOC $(PINIT) $(PCONST) $(FACEDEF) -Wall
#CLIB= $(FACELIB) -ldmalloc

OBJS=		wmf.o config.o mail.o file.o index.o html.o date.o sys.o mime.o

.c.o:
		$(CC) -c $(CFLAGS) $<

all:		wmf

wmf:	$(OBJS)
		$(CC) -o $(PROGRAM) $(CFLAGS) $(OBJS) $(CLIBDIR) $(CLIB)
		chmod 0755 $(PROGRAM)

$(OBJS):	Makefile wmf.h

install:
		install -cs -m 0755 $(PROGRAM) $(BINDIR)
		chmod 0644 ../doc/wmf.1
		chmod 0644 ../doc/wmfrc.1
		install -c -m 0644 ../doc/wmf.1 $(MANDIR)
		install -c -m 0644 ../doc/wmfrc.1 $(MANDIR)

clean:
		rm -f ./$(PROGRAM) *.o *~ core DEADJOE ../doc/*~ ../examples/*~ ../doc/DEADJOE

package: clean
		( cd ../.. ; tar -zcvf $(PROGRAM)-$(VERSION).tar.gz wmf )

## wmf 1.0.5

=== src/Makefile ===
--- 
+++ 
@@ -9,8 +9,8 @@
 CC=gcc
 LDFLAGS=
 COPTS=-O2
-CLIBDIR=-L/usr/local/lib
-CINC=-I/usr/local/include
+CLIBDIR=-L../../compface
+CINC=-I../../compface
 
 #if you have/want face-support uncomment the two following lines
 #FACELIB=-lcompface
@@ -22,17 +22,18 @@
 MBOXFILE= \"~/mbox\"
 MAILCMD=\"mailto:\"
 DIRECTORY=\"./\"
+EXTENSION=\".html\"
 NEWSUBJECTTHREAD=0	#0=False 1=True
 
 # Program constants
 PROGRAM=wmf
-VERSION=1.0
+VERSION=1.0.5
 PRG_NAME= \"WebMailFolder\"
 PRG_VERSION= \"$(VERSION)\"
-PRG_HREF= \"http://www.lugs.ch/LUGS_Members/norbert.kuemin/wmf.html\"
+PRG_HREF= \"http://www.lugs.ch/lugs/mitglieder/norbert.kuemin/wmf.html\"
 
 PINIT= -DWMF_CONFIG=$(CONFIGFILE) -DWMF_MBOX=$(MBOXFILE) -DWMF_MCMD=$(MAILCMD)\
- -DWMF_DIR=$(DIRECTORY) -DWMF_DEBUGLEVEL=0
+ -DWMF_DIR=$(DIRECTORY) -DWMF_DEBUGLEVEL=0 -DWMF_EXTENSION=$(EXTENSION)
 
 PCONST= -DNAME=$(PRG_NAME) -DVERSION=$(PRG_VERSION) -DHREF=$(PRG_HREF)
 
@@ -41,7 +42,7 @@
 CFLAGS= $(COPTS) $(CDEFS) $(CINC)
 
 # Only for debugging (Should be commented)
-CDEFS= -DDEBUG $(PINIT) $(PCONST) $(FACEDEF) -Wall
+#CDEFS= -DDEBUG $(PINIT) $(PCONST) $(FACEDEF) -Wall
 #CDEFS= -DDEBUG -DMALLOC $(PINIT) $(PCONST) $(FACEDEF) -Wall
 #CLIB= $(FACELIB) -ldmalloc

=== debian/changelog ===
wmf (1.0.5-8.1) unstable; urgency=medium

  * Non maintainer upload by the Reproducible Builds team.
  * No source change upload to rebuild on buildd with .buildinfo files.

 -- Boyuan Yang <byang@debian.org>  Fri, 08 Jan 2021 21:38:20 -0500

wmf (1.0.5-8) unstable; urgency=medium

  * Moved to debhelper level 13.
  * Added Vcs-* fields to d/control.
  * Policy bumped to 4.5.1.
  * Changed a bit layout of long-description in d/cotrol.

 -- Francesco Paolo Lovergine <frankie@debian.org>  Sun, 03 Jan 2021 17:14:01 +0100

wmf (1.0.5-7) unstable; urgency=medium

  * Package revamped with modern debhelper. Previous patches are now properly
    introduced as standalone.
    (closes: #800190)
  * Removed auto-stripping at install time as present in the original upstream
    makefile 
    (closes: #438268)

 -- Francesco Paolo Lovergine <frankie@debian.org>  Sun, 06 Mar 2016 14:08:21 +0100

wmf (1.0.5-6) unstable; urgency=low

  * An error in upstream Makefile causes a copy of wmfrc.5 in man1.
    Now error is truly closed (hopefully :-)). 
    Now a Makefile.debian has been introduced.
    (closes: #172404)

 -- Francesco Paolo Lovergine <frankie@debian.org>  Sat,  4 Jan 2003 20:49:40 +0100

wmf (1.0.5-5) unstable; urgency=low

  * Changed section for wmfrc man page in 5. Also modified its title coherently.
    (closes: #172404)
  * Updated to policy 3.5.8.
  * Patched for buffer overflow in CheckHomeDir. 
    Patch by Martin Godisch <martin@godisch.de>
    (closes: #172403)

 -- Francesco Paolo Lovergine <frankie@debian.org>  Thu, 12 Dec 2002 15:35:32 +0100

wmf (1.0.5-4) unstable; urgency=low

  * New maintainer.
    (closes: #90924)
  * Typos in control file corrected.
    (closes: #125489)
  * Rebuilt against the current original sources as got on www site.
  * Package built from scratch using debhelper and the old package.
  * Updated to policy 3.5.2.
  * mime.c patched.
    (closes: #34846)

 -- Francesco Paolo Lovergine <frankie@debian.org>  Tue, 22 Jan 2002 13:58:12 +0100

wmf (1.0.5-3) frozen; urgency=high

  * Fix string deallocation problem which caused a segfault.

 -- Christoph Lameter <christoph@lameter.com>  Fri, 10 Mar 2000 11:24:05 -0800

wmf (1.0.5-2) unstable; urgency=low

  * rebuild with newest glibc. Was segfaulting.

 -- Christoph Lameter <christoph@lameter.com>  Thu, 14 Oct 1999 16:49:07 -0700

wmf (1.0.5-1) unstable; urgency=low

  * New upstream release #34508
  * #34846 include patch in sourcearchive.

 -- Christoph Lameter <clameter@debian.org>  Thu, 14 Oct 1999 16:49:02 -0700

wmf (1.0-1) unstable; urgency=low

  * Initial Release.

 -- Christoph Lameter <chris@lameter.com>  Sat, 14 Feb 1998 21:06:06 -0800

Local variables:
mode: debian-changelog
End:

=== debian/control ===
Source: wmf
Section: web
Priority: optional
Maintainer: Francesco Paolo Lovergine <frankie@debian.org>
Build-Depends: debhelper-compat (=13)
Standards-Version: 4.5.1
Homepage: http://www.lugs.ch/LUGS_Members/norbert.kuemin/wmf.html
Vcs-Browser: https://salsa.debian.org/frankie/wmf
Vcs-Git: https://salsa.debian.org/frankie/wmf.git

Package: wmf
Architecture: any
Suggests: www-browser
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Web Mail Folder
 This program converts emails to HTML and makes index files
 (by author, data, subject,thread). Of course there are other programs
 making the same, but here are some features which not all have:
   - correct threading without level limitation
   - quoted-printable text encoding
   - home page hyperlink (X-URL)
   - faces support
   - breaking indexes in different pages to make them smaller
     (don't break between threads)
   - index time limitation (older mail disappears from the index)
   - frame support

=== debian/rules ===
#!/usr/bin/make -f

export DH_VERBOSE = 1
#
# see FEATURE AREAS in dpkg-buildflags(1)
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

# see ENVIRONMENT in dpkg-buildflags(1)
# package maintainers to append CFLAGS
#export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
# package maintainers to append LDFLAGS
#export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed


%:
	dh $@ --buildsystem=makefile

override_dh_auto_configure:

override_dh_auto_test:

override_dh_auto_build:
	$(MAKE) -C src -f $(CURDIR)/debian/Makefile.debian wmf

override_dh_auto_install:
	$(MAKE) -C src -f $(CURDIR)/debian/Makefile.debian install DESTDIR=$(CURDIR)/debian/wmf

override_dh_auto_clean:
	$(MAKE) -C src -f $(CURDIR)/debian/Makefile.debian clean
